#include "SysInfo.hpp"

long MySysInfoFactory::CreateMySysInfo(MySysInfo** ppObject)
{
	*ppObject=new MySysInfo;
	return NO_ERROR;
}

unsigned long MySysInfoFactory::Release()
{
	delete this;
	return 0;
}

long __declspec(dllexport) DllGetClassFactoryObject(MySysInfoFactory** ppObject)
{
	*ppObject=new MySysInfoFactory;
	return NO_ERROR;
}

